aboutsummaryrefslogtreecommitdiffstats
path: root/resources/libraries/bash/function/artifacts.sh
diff options
context:
space:
mode:
authorVratko Polak <vrpolak@cisco.com>2020-02-27 12:30:19 +0100
committerVratko Polak <vrpolak@cisco.com>2020-02-28 15:34:48 +0000
commit8c85cc694fd4d69b0b36af768a638cca9d34b831 (patch)
tree8db3114b82069abdb71fcb83f2e060bb0fc8cf5f /resources/libraries/bash/function/artifacts.sh
parent070500f1bf1f1da5264ccfcf2088797c2e8c5e0c (diff)
bash: tolerate -dev as a package name
Misbehaving projects can create it, and apt thinks it is a cli option. Change-Id: Icc42231e2d498f976281ce725373c6679fe61fa4 Signed-off-by: Vratko Polak <vrpolak@cisco.com>
Diffstat (limited to 'resources/libraries/bash/function/artifacts.sh')
-rw-r--r--resources/libraries/bash/function/artifacts.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/resources/libraries/bash/function/artifacts.sh b/resources/libraries/bash/function/artifacts.sh
index 35fade98af..426782d2ea 100644
--- a/resources/libraries/bash/function/artifacts.sh
+++ b/resources/libraries/bash/function/artifacts.sh
@@ -1,6 +1,6 @@
#!/usr/bin/env bash
-# Copyright (c) 2019 Cisco and/or its affiliates.
+# Copyright (c) 2020 Cisco and/or its affiliates.
# Copyright (c) 2019 PANTHEON.tech and/or its affiliates.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
@@ -104,7 +104,7 @@ function download_ubuntu_artifacts () {
set +x
for package in ${packages}; do
# Filter packages with given version
- pkg_info=$(apt-cache show ${package}) || {
+ pkg_info=$(apt-cache show -- ${package}) || {
die "apt-cache show on ${package} failed."
}
ver=$(echo ${pkg_info} | grep -o "Version: ${VPP_VERSION-}[^ ]*" | \